charts
List charts
Returns a paginated list of charts. Filter by viewer role to enforce visibility.
GET
/
api
/
v1
/
charts
List charts
curl --request GET \
--url https://api.example.com/api/v1/charts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/charts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/charts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"name": "<string>",
"id": "<string>",
"title": "<string>",
"description": "<string>",
"source": {
"query": "<string>",
"source_type": "database",
"group_by": [
"<string>"
],
"sort": {
"field": "<string>",
"order": "desc"
},
"limit": 1000,
"time_field": "<string>",
"connection_config_id": "<string>",
"source_options": {}
},
"theme": {
"color_palette": [
"#6366f1",
"#22d3ee",
"#f59e0b",
"#10b981",
"#ef4444"
],
"font_family": "Inter, sans-serif",
"dark_mode": false,
"show_legend": true,
"show_grid": true,
"show_tooltip": true
},
"dimensions": {
"width": 600,
"height": 400,
"responsive": true
},
"refresh_interval": 123,
"filters": [
{
"field": "<string>",
"value": "<unknown>"
}
],
"permissions": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"organization_id": "<string>",
"config": {},
"project_id": "thaink2"
}
],
"total": 123,
"page": 123,
"page_size": 123,
"has_next": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Viewer role for permission filtering
Related topics
Delete a chartCreate a chartGet a single chartPartially update a chartFetch paginated data for a chart⌘I
List charts
